Skip to main content
BVNK

Get wallet profiles

GET 

/ledger/v2/wallets/profiles

Returns available wallet profiles based on optional filters for currency codes and payment methods. For more information on how to apply it in the Embedded Wallets flow, refer to the Retrieve wallet profiles guide.

The endpoint uses the Lucene query syntax, for example, GET https://api.bvnk.com/ledger/v2/wallets/profiles?q=customerId:0000771c-8bff-4660-9706-497b0f8bf0e3 AND currency:USD returns USD wallet profiles for that customer.

Note: Field names in the q search expression are case-sensitive. If you use a field that is not recognised, it is ignored.

Operator OR is only supported within the same field (group alternatives with parentheses), not across different fields.

  • Supported: ?q=currency:(USD OR EUR)
  • Not supported: ?q=currency:USD OR customerId:0000771c-8bff-4660-9706-497b0f8bf0e3

Request​

Responses​

List of wallet profiles matching the query

Was this page helpful?